#include "text.h"
#include <iostream>
#include <vector>
#include <cstddef>

using namespace std;

void show_histogram_text(const vector<size_t>& bins) {
    const size_t SCREEN_WIDTH = 80;
    size_t max_count = 0;
    for (size_t count : bins) {
        if (count > max_count) max_count = count;
    }

    for (size_t bin : bins) {
        size_t height = bin * SCREEN_WIDTH / max_count;
        for (size_t i = 0; i < height; i++) {
            cout << '*';
        }
        cout << endl;
    }
}
